% Demostrates the use of the function arx_comparison_iterate(), while
% using ony one noise realization to speed up initial results.

%   Asaf Elron and Guy Leibovitz, 2008.

iterations = 50; % number of noise realizations

forgetting_factor = 1; % no forgetting
delta = 1.5; % initial recursive estimation using initial non-recursive estimation

% % %

input = square(1:400)'; % input signal
snr = 3.16227; % signal-to-noise ration (not in dB)
preceding_input = []; % no preceding input

resolution = 200; % how often to print eff_dim, mod_eff_dim and the sort

% 20th order symmetric Butterworth low-pass FIR filter with 0.5*pi cut-off
numerator = maxflat(20, 'sym', 0.5);
numerator = 10*numerator';
denomenator = 1;

% % %

% run arx_comparison_iterate and collect data
[MSEs, average_epsilon0s, average_eff_dim, average_mod_eff_dim, average_diffs] = ...
    arx_comparison_iterate(numerator, denomenator, input, iterations, snr, forgetting_factor, delta, resolution, preceding_input);
