function forgetter = forget(dimension, lambda)
%FORGET Generate an exponential weighting matrix.
%   LAMBDA = FORGET(DIM, FACTOR) is an exponential weighting
%   matrix [1] of dimension DIM with an exponential weighting factor
%   FACTOR. It is equivalent to DIAG(FACTOR.^((DIM-1):-1:0)).
%
%   [1] Haykin, Adaptive Filter Theory, 4rd ed., pp. 514.
%
%   See also ARX_COMPARISON.

%   Asaf Elron and Guy Leibovitz, 2008.

forgetter = diag(lambda.^((dimension-1):-1:0)); %#ok<BDSCA>

end
